#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	netcat
Version		:	0.7.1
Release		:	14.4.0.0%{?dist}
Summary		:	Networking utility that manages TCP and UDP connections
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://sourceforge.net/projects/netcat/files/netcat

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
Netcat is a featured networking utility which reads and writes
data across network connections, using the TCP/IP protocol.
It is designed to be a reliable "back-end" tool that can be
used directly or easily driven by other programs and scripts.
At the same time, it is a feature-rich network debugging and
exploration tool, since it can create almost any kind of
connection you would need and has several interesting built-in
capabilities.

#===========================================================
%prep
%setup -q

#---------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__rm} -fr %{buildroot}%{_infodir}/dir

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/nc
%{_bindir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/%{name}.1.gz

%changelog
